[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.WMSetFocus

Handles the LM_SETFOCUS message for the control.

## Declaration

Source position: stdctrls.pp line 835

`protected procedure TCustomEdit.WMSetFocus(`
`var Message: TLMSetFocus`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

WMSetFocus is an overridden method in TCustomEdit. It is used to hide a visible emulated TextHint display when the control is focused. Calls HideEmulatedTextHint to remove the TextHint display. Calls the inherited method prior to exit.

## See also

TWinControl.WMSetFocus |  | Handler for receiving Focus event.